Name:           ksudoku
Version:        0.3
Release:        2%{?dist}
Summary:        Sudoku game

Group:          Amusements/Games
License:        GPL
URL:            http://ksudoku.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils,kdelibs-devel
Requires:       hicolor-icon-theme

%description
Ksudoku is a fully-featured Sudoku puzzle generator and solver for KDE. With it
you can generate and play 3D and 2D puzzles of different sizes and levels. The
main algorithm is fast and extendable to any general graph coloring problem.

%prep
%setup -q
#.desktop file fix
%{__sed} -i 's/DocPath\=ksudoku\/ksudoku.html/Categories\=Game\;LogicGame\;KDE\;Qt\;/' src/ksudoku.desktop

%build
%configure --disable-dependency-tracking
#remove rpath
%{__sed} -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
%{__sed} -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#make symlink relative
rm -f $RPM_BUILD_ROOT%{_docdir}/HTML/en/%{name}/common
cd $RPM_BUILD_ROOT%{_docdir}/HTML/en/%{name}
ln -s ../common common


desktop-file-install --vendor="fedora"                  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --delete-original                               \
        $RPM_BUILD_ROOT%{_datadir}/applnk/Games/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README VERSION doc/en/index*
%{_bindir}/*
%{_datadir}/apps/%{name}
%{_datadir}/icons/hicolor/*/*/*.png
%doc %{_docdir}/HTML/en/%{name}
%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Tue Jan 16 2007 Rafał Psota <rafalzaq@gmail.com> - 0.3-2
- added comments
- fixed source URL
- added %%doc
* Mon Jan 15 2007 Rafał Psota <rafalzaq@gmail.com> - 0.3-1
- Initial release